<div *ngIf="results">
<h3>Results</h3>
<table class="table table-hover">
  <tr class="table-secondary" style="text-align: center">
    <th scope="row">Place</th>
    <th scope="row">Participant</th>
    <th scope="row">Score</th>
    <th scope="row">Big fish (cm)</th>
    <th scope="row">Catch count</th>
    <th scope="row">Participant catches</th>
  </tr>
  <tr style="text-align: center" *ngFor="let result of results">
    <td>{{results.indexOf(result) + 1}}</td>
    <td>{{result.user.firstName}} {{result.user.lastName}}</td>
    <td>{{result.scoreSum}}</td>
    <td>{{result.bigFish}}</td>
    <td>{{result.catchCount}}</td>
    <td><button class="btn btn-secondary" (click)="openParticipantResults(result.user.id)">More details</button></td>
  </tr>
</table>
</div>

<div>
  <div class="card border-primary mb-3" style="max-width: 50rem; alignment: center">
    <div class="card-header">Big fish award</div>
      <div class="card-body">
        <div *ngIf="getImage(bigFish.catchScore.bytes, bigFish.catchScore.imageType)">
          <img [src]="retrievedImage" height="300">
        </div>
        <label>Participant: </label>
        <label>{{bigFish.user.firstName}} {{bigFish.user.lastName}}</label>
        <br/>
        <label>Big fish: </label>
        <label>{{bigFish.catchScore.length}}</label>
        <br/>
        <label>Catch time: </label>
        <label>{{bigFish.catchScore.catchDateTime | date:'yyyy-MM-dd hh:mm'}}</label>
      </div>
  </div>
  <!--<h4>Big fish award</h4>
  <div *ngIf="getImage(bigFish.catchScore.bytes, bigFish.catchScore.imageType)">
    <img [src]="retrievedImage">
  </div>
  <label>Participant: </label>
  <label>{{bigFish.user.firstName}} {{bigFish.user.lastName}}</label>
  <br/>
  <label>Big fish: </label>
  <label>{{bigFish.catchScore.length}}</label>
  <br/>
  <label>Catch time: </label>
  <label>{{bigFish.catchScore.catchDateTime | date:'yyyy-MM-dd hh:mm'}}</label>-->
</div>
